Loading...
Searching...
No Matches
gr::blocks::lfsr_32k Class Reference
Miscellaneous

generate pseudo-random sequence of length 32768 bits. More...

`#include <gnuradio/blocks/lfsr_32k.h>`

## Public Member Functions

| lfsr_32k ()
void | reset ()
int | next_bit ()
int | next_byte ()
int | next_short ()

## Detailed Description

generate pseudo-random sequence of length 32768 bits.

This is based on gri_lfsr_15_1_0 with an extra 0 added at the end of the sequence.

## Constructor & Destructor Documentation

## lfsr_32k()

gr::blocks::lfsr_32k::lfsr_32k | ( |  | ) |

inline

References reset().

## Member Function Documentation

## next_bit()

int gr::blocks::lfsr_32k::next_bit | ( |  | ) |

inline

Referenced by next_byte(), and next_short().

## next_byte()

int gr::blocks::lfsr_32k::next_byte | ( |  | ) |

inline

References next_bit().

## next_short()

int gr::blocks::lfsr_32k::next_short | ( |  | ) |

inline

References next_bit().

## reset()

void gr::blocks::lfsr_32k::reset | ( |  | ) |

inline

Referenced by lfsr_32k().

The documentation for this class was generated from the following file:

- lfsr_32k.h